<?php

namespace App\Filter;

use ApiPlatform\Serializer\Filter\FilterInterface;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\PropertyInfo\Type;

class YearFilter implements FilterInterface
{

    public function apply(Request $request, bool $normalization, array $attributes, array &$context): void
    {
        if ($request->query->has('annee')) {
            $text = $request->query->get('annee');

            $context['annee'] = intval($text);
        }
    }

    public function getDescription(string $resourceClass): array
    {
        return [
            'annee' => [
                'property' => null,
                'type' => Type::BUILTIN_TYPE_INT,
                'required' => false,
                'description' => 'Année pour laquelle afficher les données (toutes les données si non spécifié)'
            ]
        ];
    }
}
