import "../styles/globals.css"
import "bootstrap/dist/css/bootstrap.css"
import "bootstrap-icons/font/bootstrap-icons.css"
import Layout from "../components/common/Layout"
import type { AppProps } from "next/app"
import type { DehydratedState } from "react-query"
import { useRouter } from "next/router"


function MyApp({ Component, pageProps }: AppProps<{dehydratedState: DehydratedState}>) {
  const router = useRouter();
  return <Layout dehydratedState={pageProps.dehydratedState}>
    {/* Only render the header if the current page is visuCamembert or visuBarchart */}
    {router.pathname === '/visuCamembert' || router.pathname === '/visuBarchart' || router.pathname === '/TimeSeries' ? (
      <header>
        <h2>
          <a href="/visuCamembert" id="visuCamembert"   > PieChart</a>
          <a href="/visuBarchart"  id="visuBarchart"    > BarChart</a>
          <a href="/TimeSeries"    id = "visuTimeSeries"> TimeSeries</a>
        </h2>
      </header>
    ) : null}
    <Component {...pageProps} />
  </Layout>
}

export default MyApp
